Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class PaymentTypeInformation29

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.PaymentTypeInformation29

public class PaymentTypeInformation29 extends Object

Java class for PaymentTypeInformation29 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformation29">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstrPrty" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Priority2Code" minOccurs="0"/>
             <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ServiceLevel8Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}LocalInstrument2Choice" minOccurs="0"/>
             <element name="SeqTp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}SequenceType3Code" minOccurs="0"/>
             <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CategoryPurpose1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CategoryPurpose1Choice`
`ctgyPurp`
`protected Priority2Code`
`instrPrty`
`protected LocalInstrument2Choice`
`lclInstrm`
`protected SequenceType3Code`
`seqTp`
`protected List<ServiceLevel8Choice>`
`svcLvl`

## Constructor Summary

Constructors
Constructor
Description
`PaymentTypeInformation29()`

## Method Summary

Modifier and Type
Method
Description
`CategoryPurpose1Choice`
`getCtgyPurp()`
Gets the value of the ctgyPurp property.
`Priority2Code`
`getInstrPrty()`
Gets the value of the instrPrty property.
`LocalInstrument2Choice`
`getLclInstrm()`
Gets the value of the lclInstrm property.
`SequenceType3Code`
`getSeqTp()`
Gets the value of the seqTp property.
`List<ServiceLevel8Choice>`
`getSvcLvl()`
Gets the value of the svcLvl property.
`void`
`setCtgyPurp(CategoryPurpose1Choice value)`
Sets the value of the ctgyPurp property.
`void`
`setInstrPrty(Priority2Code value)`
Sets the value of the instrPrty property.
`void`
`setLclInstrm(LocalInstrument2Choice value)`
Sets the value of the lclInstrm property.
`void`
`setSeqTp(SequenceType3Code value)`
Sets the value of the seqTp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instrPrty

protected Priority2Code instrPrty

### svcLvl

protected List<ServiceLevel8Choice> svcLvl

### lclInstrm

protected LocalInstrument2Choice lclInstrm

### seqTp

protected SequenceType3Code seqTp

### ctgyPurp

protected CategoryPurpose1Choice ctgyPurp

## Constructor Details

### PaymentTypeInformation29

public PaymentTypeInformation29()

## Method Details

### getInstrPrty

public Priority2Code getInstrPrty()
Gets the value of the instrPrty property.

Returns:
  possible object is `Priority2Code`

### setInstrPrty

public void setInstrPrty(Priority2Code value)
Sets the value of the instrPrty property.

Parameters:
  `value` - allowed object is `Priority2Code`

### getSvcLvl

public List<ServiceLevel8Choice> getSvcLvl()
Gets the value of the svcLvl property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the svcLvl property.

For example, to add a new item, do as follows:

        getSvcLvl().add(newItem);

Objects of the following type(s) are allowed in the list `ServiceLevel8Choice`

### getLclInstrm

public LocalInstrument2Choice getLclInstrm()
Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrument2Choice`

### setLclInstrm

public void setLclInstrm(LocalInstrument2Choice value)
Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrument2Choice`

### getSeqTp

public SequenceType3Code getSeqTp()
Gets the value of the seqTp property.

Returns:
  possible object is `SequenceType3Code`

### setSeqTp

public void setSeqTp(SequenceType3Code value)
Sets the value of the seqTp property.

Parameters:
  `value` - allowed object is `SequenceType3Code`

### getCtgyPurp

public CategoryPurpose1Choice getCtgyPurp()
Gets the value of the ctgyPurp property.

Returns:
  possible object is `CategoryPurpose1Choice`

### setCtgyPurp

public void setCtgyPurp(CategoryPurpose1Choice value)
Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `CategoryPurpose1Choice`